Bug 521556 - setroubleshoot: SELinux is preventing wine "getattr" access on /proc/meminfo.
Summary: setroubleshoot: SELinux is preventing wine "getattr" access on /proc/mem...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:85cd2ed98f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 22:45 UTC by Sebastiano M. Cossu
Modified: 2009-09-10 12:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-07 11:08:09 UTC


Attachments (Terms of Use)

Description Sebastiano M. Cossu 2009-09-06 22:45:05 UTC
The following was filed automatically by setroubleshoot:

Sommario:

SELinux is preventing wine "getattr" access on /proc/meminfo.

Descrizione dettagliata:

[wine has a permissive type (wine_t). This access was not denied.]

SELinux denied access requested by wine. It is not expected that this access is
required by wine and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Abilitazione accesso in corso:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Informazioni aggiuntive:

Contesto della sorgente       unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Contesto target               system_u:object_r:proc_t:s0
Oggetti target                /proc/meminfo [ file ]
Sorgente                      wine
Percorso della sorgente       /bin/bash
Porta                         <Sconosciuto>
Host                          (removed)
Sorgente Pacchetti RPM        bash-4.0.28-3.fc12
Pacchetti RPM target          
RPM della policy              selinux-policy-3.6.30-2.fc12
Selinux abilitato             True
Tipo di policy                targeted
MLS abilitato                 True
Modalità Enforcing           Enforcing
Nome plugin                   catchall
Host Name                     (removed)
Piattaforma                   Linux (removed) 2.6.31-0.204.rc9.fc12.i686 #1 SMP Sat
                              Sep 5 21:01:10 EDT 2009 i686 i686
Conteggio avvisi              1
Primo visto                   lun 07 set 2009 00:35:58 CEST
Ultimo visto                  lun 07 set 2009 00:35:58 CEST
ID locale                     d51dd657-0c3f-44dd-a793-73dabed1eb49
Numeri di linea               

Messaggi Raw Audit            

node=(removed) type=AVC msg=audit(1252276558.488:83): avc:  denied  { getattr } for  pid=6058 comm="wine" path="/proc/meminfo" dev=proc ino=4026531988 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252276558.488:83): arch=40000003 syscall=197 success=yes exit=0 a0=3 a1=bfb94bcc a2=616ff4 a3=92f2a68 items=0 ppid=6057 pid=6058 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wine" exe="/bin/bash" subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= wine_t ==============
allow wine_t proc_t:file getattr;

Comment 1 Daniel Walsh 2009-09-07 11:08:09 UTC
Fixed in selinux-policy-3.6.30-5.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.